---
id: "truenas-downloads"
img: "/images/tn-openstorage-logo.png"
product: "TrueNAS"
title: "TrueNAS<sup>&reg;</sup> | Enterprise&trade;"
majorVersions:
  - lifecycle: "Archive"
    majorVersions: 
      - majorVersion: "Final Release Versions"
        releaseName: "Final"
      - majorVersion: "24.04 (Dragonfish)"
        releaseName: "Dragonfish"
        releases:
          - name: "24.04.2.5"
            link: "https://download.truenas.com/TrueNAS-SCALE-Dragonfish/24.04.2.5/"
            date: "2024-11-08"
          #- name: "24.04.2.4"
          #  link: "https://download.truenas.com/TrueNAS-SCALE-Dragonfish/24.04.2.4/"
          #  date: "2024-11-07"
          #- name: "24.04.2.3"
          #  link: "https://download.truenas.com/TrueNAS-SCALE-Dragonfish/24.04.2.3/"
          #  date: "2024-10-10"
          #- name: "24.04.2.2"
          #  link: "https://download.truenas.com/TrueNAS-SCALE-Dragonfish/24.04.2.2/"
          #  date: "2024-09-17"
          #- name: "24.04.2.1"
          #  link: "https://download.truenas.com/TrueNAS-SCALE-Dragonfish/24.04.2.1/"
          #  date: "2024-09-11"
          #- name: "24.04.1.1"
          #  link: "https://download.truenas.com/TrueNAS-SCALE-Dragonfish/24.04.1.1/"
          #  date: "2024-05-29"
          #- name: "24.04.1"
          #  link: "https://download.truenas.com/TrueNAS-SCALE-Dragonfish/24.04.1/"
          #  date: "2024-05-28"
          #- name: "24.04.0"
          #  link: "https://download.truenas.com/TrueNAS-SCALE-Dragonfish/24.04.0/"
          #  date: "2024-04-23"
          #- name: "24.04-RC.1"
          #  link: "https://download.sys.truenas.net/TrueNAS-SCALE-Dragonfish-RC/24.04-RC.1/"
          #  date: "2024-03-21"
          #- name: "24.04-BETA.1"
          #  link: "https://download.sys.truenas.net/TrueNAS-SCALE-Dragonfish-BETA/24.04-BETA.1/"
          #  date: "2024-02-06"
          #- name: "24.04 (Dragonfish) Nightly .iso"
          #  link: "https://download.truenas.com/truenas-scale-dragonfish-nightly/"
          #  date: ""
          #- name: "24.04 (Dragonfish) Nightly .update"
          #  link: "https://update.sys.truenas.net/scale/TrueNAS-SCALE-Dragonfish-Nightlies/"
          #  date: ""      
      - majorVersion: "23.10 (Cobia)"
        releaseName: "Cobia"
        releases:
          - name: "23.10.2"
            link: "https://download.truenas.com/TrueNAS-SCALE-Cobia/23.10.2/"
            date: "2024-02-22"
          # - name: "23.10.1.3"
          #   link: "https://download.truenas.com/TrueNAS-SCALE-Cobia/23.10.1.3/"
          #   date: "2024-01-24"
          # - name: "23.10.1.2 (not released)"
          #   link: ""
          #   date: ""
          # - name: "23.10.1.1"
          #   link: "https://download.truenas.com/TrueNAS-SCALE-Cobia/23.10.1.1/"
          #   date: "2024-01-16"
          # - name: "23.10.1"
          #   link: "https://download.truenas.com/TrueNAS-SCALE-Cobia/23.10.1/"
          #   date: "2023-12-19"
          # - name: "23.10.0.1"
          #   link: "https://download.truenas.com/TrueNAS-SCALE-Cobia/23.10.0.1/"
          #   date: "2023-10-31"
          # - name: "23.10.0"
          #   link: "https://download.truenas.com/TrueNAS-SCALE-Cobia/23.10.0/"
          #   date: "2023-10-24"
      - majorVersion: "22.12 (Bluefin)"
        releaseName: "Bluefin"
        releases:
          - name: "22.12.4.2"
            link: "https://download.truenas.com/TrueNAS-SCALE-Bluefin/22.12.4.2/"
            date: "2023-10-13"
          # - name: "22.12.4.1"
          #   link: "https://download.truenas.com/TrueNAS-SCALE-Bluefin/22.12.4.1/"
          #   date: "2023-10-12"
          # - name: "22.12.4"
          #   link: "https://download.truenas.com/TrueNAS-SCALE-Bluefin/22.12.4/"
          #   date: "2023-10-03"
          # - name: "22.12.3.3"
          #   link: "https://download.truenas.com/TrueNAS-SCALE-Bluefin/22.12.3.3/"
          #   date: "2023-07-25"
          # - name: "22.12.3.2"
          #   link: "https://download.truenas.com/TrueNAS-SCALE-Bluefin/22.12.3.2/"
          #   date: "2023-07-05"
          # - name: "22.12.3.1"
          #   link: "https://download.truenas.com/TrueNAS-SCALE-Bluefin/22.12.3.1/"
          #   date: "2023-06-20"
          # - name: "22.12.3"
          #   link: "https://download.truenas.com/TrueNAS-SCALE-Bluefin/22.12.3/"
          #   date: "2023-06-13"
          # - name: "22.12.2"
          #   link: "https://download.truenas.com/TrueNAS-SCALE-Bluefin/22.12.2/"
          #   date: "2023-03-11"
          # - name: "22.12.1"
          #   link: "https://download.truenas.com/TrueNAS-SCALE-Bluefin/22.12.1/"
          #   date: "2023-02-21"
          # - name: "22.12.0"
          #   link: "https://download.truenas.com/TrueNAS-SCALE-Bluefin/22.12.0/"
          #   date: "2022-12-13"
      - majorVersion: "22.02 (Angelfish)"
        releaseName: "Angelfish"
        releases:
          - name: "22.02.4 (Angelfish)"
            link: "https://download.truenas.com/TrueNAS-SCALE-Angelfish/22.02.4/"
            date: "2022-09-27"
  - lifecycle: "Previous"
    majorVersion: "24.10 (Electric Eel)"
    releaseNotes: "https://www.truenas.com/docs/scale/24.10/gettingstarted/scalereleasenotes/"
    releaseName: "Electric Eel"
    releases:
      - name: "24.10.2.4"
        link: "https://download.truenas.com/TrueNAS-SCALE-ElectricEel/24.10.2.4/"
        date: "2025-08-07"
      - name: "24.10.2.3"
        link: "https://download.truenas.com/TrueNAS-SCALE-ElectricEel/24.10.2.3/"
        date: "2025-07-14"
      - name: "24.10.2.2"
        link: "https://download.truenas.com/TrueNAS-SCALE-ElectricEel/24.10.2.2/"
        date: "2025-05-13"
      - name: "24.10.2.1"
        link: "https://download.truenas.com/TrueNAS-SCALE-ElectricEel/24.10.2.1/"
        date: "2025-04-03"
      - name: "24.10.2"
        link: "https://download.truenas.com/TrueNAS-SCALE-ElectricEel/24.10.2/"
        date: "2025-01-28"
      - name: "24.10.1"
        link: "https://download.truenas.com/TrueNAS-SCALE-ElectricEel/24.10.1/"
        date: "2024-12-17"
      - name: "24.10.0.2"
        link: "https://download.truenas.com/TrueNAS-SCALE-ElectricEel/24.10.0.2/"
        date: "2024-11-08"
      - name: "24.10.0.1"
        link: "https://download.truenas.com/TrueNAS-SCALE-ElectricEel/24.10.0.1/"
        date: "2024-11-07"
      - name: "24.10.0"
        link: "https://download.truenas.com/TrueNAS-SCALE-ElectricEel/24.10.0/"
        date: "2024-10-29"
      - name: "24.10-RC.2"
        link: "https://download.truenas.com/TrueNAS-ElectricEel-RC/24.10-RC.2/"
        date: "2024-10-04"
      - name: "24.10-RC.1"
        link: "https://download.truenas.com/TrueNAS-ElectricEel-RC/24.10-RC.1/"
        date: "2024-10-02"
      - name: "24.10-BETA.1"
        link: "https://download.truenas.com/truenas-scale-electriceel-BETA/24.10-BETA.1/"
        date: "2024-08-29"
  - lifecycle: "Current"
    majorVersion: "25.04 (Fangtooth)"
    releaseNotes: "https://www.truenas.com/docs/scale/25.04/gettingstarted/scalereleasenotes/"
    releaseName: "Fangtooth"
    releases:
      - name: "25.04.2.1"
        link: "https://download.truenas.com/TrueNAS-SCALE-Fangtooth/25.04.2.1"
        date: "2025-08-07"
      - name: "25.04.2"
        link: "https://download.truenas.com/TrueNAS-SCALE-Fangtooth/25.04.2"
        date: "2025-07-31"
      - name: "25.04.1"
        link: "https://download.truenas.com/TrueNAS-SCALE-Fangtooth/25.04.1"
        date: "2025-05-27"
      - name: "25.04.0"
        link: "https://download.truenas.com/TrueNAS-SCALE-Fangtooth/25.04.0"
        date: "2025-04-15"
      - name: "25.04-RC.1"
        link: "https://download.truenas.com/TrueNAS-SCALE-Fangtooth-RC/25.04-RC.1"
        date: "2025-03-11"
      - name: "25.04-BETA.1"
        link: "https://download.truenas.com/TrueNAS-SCALE-Fangtooth-BETA/25.04-BETA.1"
        date: "2025-02-13"
      - name: "25.04 (Fangtooth) Nightly .iso"
        link: "https://download.truenas.com/truenas-scale-fangtooth-nightly/"
        date: ""
  - lifecycle: "Next"
    majorVersion: "25.10 (Goldeye)"
    releaseName: "Goldeye"
    releases:
      - name: "25.10 (Goldeye) Nightly .iso"
        link: "https://download.truenas.com/truenas-scale-goldeye-nightly/"
        date: ""
